import 'package:ecp_sync_plugin_example/Database/TableConstants.dart';
import 'package:ecp_sync_plugin_example/Database/ColumnConstants.dart';

class CreateQuery {
  final String dataBaseName = "Books";

  var TABLE_CREATE_LABEL_MST = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_LABEL_MST +
      " ( " +
      ColumnConstants.COLUMN_varType +
      " Text ," +
      ColumnConstants.COLUMN_varDisplayNameLbl +
      " Text ," +
      ColumnConstants.COLUMN_varShorterName +
      " Text )";

  var TABLE_CREATE_LoginDetails = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_LoginDetails +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_dtLogIn +
      " Text ," +
      ColumnConstants.COLUMN_dtLogOut +
      " Text ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varVersion +
      " Text)";
  /*private static final String TABLE_CREATE_GlucoMeter_Visit_Details = "CREATE TABLE IF NOT EXISTS "
            + TableConstants.TABLE_GlucoMeter_Visit_Details
            + " ( " + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_Planned + " Integer ,"
            + ColumnConstants.COLUMN_fk_DrGlCode + " Integer ,"
            + ColumnConstants.COLUMN_dtVisitDate + " Text ,"
            + ColumnConstants.COLUMN_varPatientName + " Text ,"
            + ColumnConstants.COLUMN_varContactNo + " Text ,"
            + ColumnConstants.COLUMN_dtFromDate + " Text ,"
            + ColumnConstants.COLUMN_dtToDate + " Text ,"
            + ColumnConstants.COLUMN_intNoOfStrips + " Integer ,"
            + ColumnConstants.COLUMN_dtEntryDate + " Text ,"
            + ColumnConstants.COLUMN_dtLastUpdateDate + " Text ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy + " Integer ,"
            + ColumnConstants.COLUMN_chrSyncFlag + " Text ,"
            + ColumnConstants.COLUMN_chrDeleteFlag + " Text ,"
            + ColumnConstants.COLUMN_fk_DivisionGlCode + " Integer )";*/
  var TABLE_CREATE_Doctor_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Doctor_Details +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varDrCode +
      " Text ," +
      ColumnConstants.COLUMN_varDrName +
      " Text ," +
      ColumnConstants.COLUMN_varSMSCode +
      " Text ," +
      ColumnConstants.COLUMN_fk_GmGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DCGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_MedSpecGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_BE +
      " INTEGER ," +
      ColumnConstants.COLUMN_varAddressClinic +
      " Text ," +
      ColumnConstants.COLUMN_varAddressResi +
      " Text ," +
      ColumnConstants.COLUMN_varPhoneClinic +
      " Text ," +
      ColumnConstants.COLUMN_varMobile +
      " Text ," +
      ColumnConstants.COLUMN_varQualification +
      " Text ," +
      ColumnConstants.COLUMN_varLoctionLatitude +
      " Text," +
      ColumnConstants.COLUMN_varLoctionLongitude +
      " Text," +
      ColumnConstants.COLUMN_hasLoction +
      " INTEGER," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_CurrentMonthVisit +
      " Text," +
      ColumnConstants.COLUMN_PreviousMonthVisit +
      " Text," +
      ColumnConstants.COLUMN_varAddress3 +
      " Text," +
      ColumnConstants.COLUMN_varPinCode +
      " Text," +
      ColumnConstants.COLUMN_varPreferedDayTime +
      " Text," +
      ColumnConstants.COLUMN_varChemistGlCode +
      " Text," +
      ColumnConstants.COLUMN_varVisualAidNotDisplay +
      " Text," +
      ColumnConstants.COLUMN_varServiceGlCode +
      " Text)";

  /*  private static final String TABLE_CREATE_GlucoMeter_Plan = "CREATE TABLE IF NOT EXISTS "
            + TableConstants.TABLE_GlucoMeter_Plan
            + " ( " + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_Planned + " Integer ,"
            + ColumnConstants.COLUMN_fk_DrGlCode + " Integer ,"
            + ColumnConstants.COLUMN_dtPlannedDate + " Text ,"
            + ColumnConstants.COLUMN_dtSesFromTime + " Text ,"
            + ColumnConstants.COLUMN_dtSesToTime + " Text ,"
            + ColumnConstants.COLUMN_dtEntryDate + " Text ,"
            + ColumnConstants.COLUMN_dtLastUpdateDate + " Text ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy + " Integer ,"
            + ColumnConstants.COLUMN_chrSyncFlag + " Text ,"
            + ColumnConstants.COLUMN_chrDeleteFlag + " Text ,"
            + ColumnConstants.COLUMN_fk_DivisionGlCode + " Integer )";*/

  /*private static final String TABLE_CREATE_GlucoMeter_Visit = "CREATE TABLE IF NOT EXISTS "
            + TableConstants.TABLE_GlucoMeter_Visit
            + " ( " + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode + " Integer ,"
            + ColumnConstants.COLUMN_fk_DrGlCode + " Integer ,"
            + ColumnConstants.COLUMN_dtVisitDate + " Text ,"
            + ColumnConstants.COLUMN_dtSesFromTime + " Text ,"
            + ColumnConstants.COLUMN_dtSesToTime + " Text ,"
            + ColumnConstants.COLUMN_intTotalPatientInteraction + " Integer ,"
            + ColumnConstants.COLUMN_intGlucoseTest + " Integer ,"
            + ColumnConstants.COLUMN_intABI + " Integer ,"
            + ColumnConstants.COLUMN_intCGMS + " Integer ,"
            + ColumnConstants.COLUMN_intGluCOmeterGiven + " Integer ,"
            + ColumnConstants.COLUMN_intHistoryFilled + " Integer ,"
            + ColumnConstants.COLUMN_intBPMeasurement + " Integer ,"
            + ColumnConstants.COLUMN_intPatientBookletGiven + " Integer ,"
            + ColumnConstants.COLUMN_intPatientEducationDone + " Integer ,"
            + ColumnConstants.COLUMN_dtEntryDate + " Text ,"
            + ColumnConstants.COLUMN_dtLastUpdateDate + " Text ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy + " Integer ,"
            + ColumnConstants.COLUMN_chrSyncFlag + " Text ,"
            + ColumnConstants.COLUMN_chrDeleteFlag + " Text ,"
            + ColumnConstants.COLUMN_intNoOfIportUsed + " Integer ,"
            + ColumnConstants.COLUMN_fk_DivisionGlCode + " Integer )";*/
  var TABLE_CREATE_City_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_City_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varCityCode +
      " " +
      "Text," +
      ColumnConstants.COLUMN_fk_StateGlCode +
      " Integer," +
      ColumnConstants.COLUMN_varCityName +
      " Text)";
  var TABLE_CREATE_Employee_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Employee_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varEmpCode +
      " " +
      "Text ," +
      ColumnConstants.COLUMN_varEmpName +
      " Text ," +
      ColumnConstants.COLUMN_varEmail +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_ABM +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_RBM +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_ZBM +
      " INTEGER ," +
      ColumnConstants.COLUMN_varPhone_SMS +
      " Text " +
      "," +
      ColumnConstants.COLUMN_chrVacant +
      " Char ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text , " +
      ColumnConstants.COLUMN_fk_DesiGlCode +
      " INTEGER  , " +
      ColumnConstants.COLUMN_chrJointWork +
      " Text  , " +
      ColumnConstants.COLUMN_varDesignation +
      " Text  , " +
      ColumnConstants.COLUMN_intDesiOrder +
      " INTEGER  , " +
      ColumnConstants.COLUMN_fk_RepCityGlCode +
      " INTEGER )";
  var TABLE_CREATE_Division_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Division_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varDivisionName +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_intOrder +
      " INTEGER)";
  var TABLE_CREATE_Geo_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Geo_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varGeoName +
      " " +
      "Text ," +
      ColumnConstants.COLUMN_fk_GTGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_StateGlCode +
      " INTEGER " +
      "," +
      ColumnConstants.COLUMN_ref_GMGlCode_Parent +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " INTEGER)";
  var TABLE_CREATE_Dr_Category = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Category +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varCategory +
      " " +
      "Text)";
  var CREATE_TABLE_APP_Version_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_APP_Version_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varVersion +
      " Text," +
      ColumnConstants.COLUMN_chrActive +
      " Text," +
      ColumnConstants.COLUMN_varMessageToDisplay +
      " Text" +
      ")";
  var TABLE_CREATE_Medical_Speciality = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Medical_Speciality +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varSpeciality +
      " Text," +
      ColumnConstants.COLUMN_chrMapped +
      " Text)";
  var TABLE_CREATE_Designation_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Designation_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_Designation +
      " " +
      "Text , " +
      ColumnConstants.COLUMN_varDisplayName +
      " Text," +
      ColumnConstants.COLUMN_intDesiOrder +
      "" +
      " Integer  )";
  var TABLE_CREATE_Visit_Date_Setting = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visit_Date_Setting +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varVisitType +
      " Text ," +
      ColumnConstants.COLUMN_intPrevDays +
      " Integer ," +
      ColumnConstants.COLUMN_intNextDays +
      " Integer ," +
      ColumnConstants.COLUMN_chrVisible +
      " Text  )";
  var CREATE_TABLE_Emp_Child_Employees = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Emp_Child_Employees +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Jr +
      " INTEGER ," +
      ColumnConstants.COLUMN_intLevel +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DesiGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DesiglCode_Jr +
      " INTEGER," +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " INTEGER," +
      ColumnConstants.COLUMN_chrLeaf +
      " TEXT," +
      ColumnConstants.COLUMN_fk_GmGlCode_HQ +
      " INTEGER," +
      ColumnConstants.COLUMN_fk_GmGlCode_HQ_Jr +
      " INTEGER," +
      ColumnConstants.COLUMN_varDesiCode +
      " TEXT," +
      ColumnConstants.COLUMN_varDesiCode_Jr +
      " TEXT)";
  var CREATE_TABLE_State_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_State_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode1 +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varStateName +
      " TEXT," +
      ColumnConstants.COLUMN_varStateCode +
      " TEXT," +
      ColumnConstants.COLUMN_varShortName +
      " TEXT )";
  var TABLE_CREATE_LOGIN = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Login +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varUserName +
      " Text ," +
      ColumnConstants.COLUMN_varPassword +
      " Text ," +
      ColumnConstants.COLUMN_varPersonName +
      " Text ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varMobileNumber +
      " Text ," +
      ColumnConstants.COLUMN_varLastSyncTime +
      " Text ," +
      ColumnConstants.COLUMN_varClientName +
      " Text," +
      ColumnConstants.COLUMN_varIsAuthorise +
      " Text ," +
      ColumnConstants.COLUMN_varIsSmson +
      " Text ," +
      ColumnConstants.COLUMN_varImei +
      " Text )";
  /*private void upgradeDBVER17(SQLiteDatabase db) {
        Utils.printLog(5, "START update upgradeDBVER17.................");
        db.execSQL(TABLE_CREATE_Dr_Group_TPPlan);
        db.execSQL(TABLE_CREATE_Dr_Cat_Restriction);
        db.execSQL(TABLE_CREATE_Dr_Cat_Restriction_DayTypeWise);
        db.execSQL(TABLE_CREATE_TourPlan_MTP_SetDetails);

        db.execSQL(TABLE_CREATE_Customisation_Master);
        db.execSQL(TABLE_CREATE_Customisation_Image);

        //db.execSQL(TABLE_CREATE_Dr_Group_Hosp_Visit);
        db.execSQL("ALTER TABLE " + TableConstants.TABLE_Dr_Group_Hosp_Visit + " RENAME TO" +
                " " +
                "" + TableConstants.TABLE_Dr_Group_Hosp_Visit + "_Obsolete");
        db.execSQL(TABLE_CREATE_Dr_Group_Hosp_Visit);
        db.execSQL("DROP TABLE IF EXISTS " + TableConstants.TABLE_Dr_Group_Hosp_Visit + "_Obsolete");

        //db.execSQL(TABLE_CREATE_Dr_Group_Visit_Brand_Camp_Details);
        db.execSQL("ALTER TABLE " + TableConstants.TABLE_Dr_Group_Visit_Brand_Camp_Details + " RENAME TO" +
                " " +
                "" + TableConstants.TABLE_Dr_Group_Visit_Brand_Camp_Details + "_Obsolete");
        db.execSQL(TABLE_CREATE_Dr_Group_Visit_Brand_Camp_Details);
        db.execSQL("DROP TABLE IF EXISTS " + TableConstants.TABLE_Dr_Group_Visit_Brand_Camp_Details +
                "_Obsolete");

        db.execSQL("ALTER TABLE " + TableConstants.TABLE_Dr_Group_Hosp_Visit + " RENAME TO" +
                " " +
                "" + TableConstants.TABLE_Dr_Group_Hosp_Visit + "_Obsolete");
        db.execSQL(TABLE_CREATE_Dr_Group_Hosp_Visit);
        db.execSQL("DROP TABLE IF EXISTS " + TableConstants.TABLE_Dr_Group_Hosp_Visit + "_Obsolete");

        Utils.printLog(5, "END update upgradeDBVER17.................");
    }*/
  var CREATE_TABLE_Android_Corp_Doctor_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Android_Corp_Doctor_Details +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varType +
      " Text ," +
      ColumnConstants.COLUMN_varName_Sug +
      " Text ," +
      ColumnConstants.COLUMN_varMobile_Sug +
      " Text ," +
      ColumnConstants.COLUMN_varEmailID_Sug +
      " Text ," +
      ColumnConstants.COLUMN_varAddress_Sug +
      " Text ," +
      ColumnConstants.COLUMN_varPinCode_Sug +
      " Text ," +
      ColumnConstants.COLUMN_varName +
      " Text ," +
      ColumnConstants.COLUMN_varMobile +
      " Text ," +
      ColumnConstants.COLUMN_varEmailID +
      " Text ," +
      ColumnConstants.COLUMN_varAddress +
      " Text ," +
      ColumnConstants.COLUMN_varPinCode +
      " Text ," +
      ColumnConstants.COLUMN_dtDOBDate +
      " Text ," +
      ColumnConstants.COLUMN_dtDOADate +
      " Text ," +
      ColumnConstants.COLUMN_dtDOCDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDOBDateProvideByDr +
      " Text ," +
      ColumnConstants.COLUMN_chrDOADateProvideByDr +
      " Text ," +
      ColumnConstants.COLUMN_chrDOCDateProvideByDr +
      " Text ," +
      ColumnConstants.COLUMN_varFileName +
      " Text ," +
      ColumnConstants.COLUMN_chrStatus +
      " Text ," +
      ColumnConstants.COLUMN_dtSubmitDate +
      " Text ," +
      ColumnConstants.COLUMN_dtFinalizedDate +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_FinalizedBy +
      " Integer ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " Integer ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Text ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrSubmit +
      " Text ," +
      ColumnConstants.COLUMN_varName_Final +
      " Text ," +
      ColumnConstants.COLUMN_varMobile_Final +
      " Text ," +
      ColumnConstants.COLUMN_varEmailID_Final +
      " Text ," +
      ColumnConstants.COLUMN_varAddress_Final +
      " Text ," +
      ColumnConstants.COLUMN_varPinCode_Final +
      " Text ," +
      ColumnConstants.COLUMN_dtDOBDate_Final +
      " Text ," +
      ColumnConstants.COLUMN_dtDOADate_Final +
      " Text ," +
      ColumnConstants.COLUMN_chrDOBDate_Final +
      " Text ," +
      ColumnConstants.COLUMN_chrDOADate_Final +
      " Text ," +
      ColumnConstants.COLUMN_chrDOCDate_Final +
      " Text ," +
      ColumnConstants.COLUMN_dtDOCDate_Final +
      " Text ," +
      ColumnConstants.COLUMN_chrUpload +
      " Text," +
      ColumnConstants.COLUMN_varScanDetails +
      " Text," +
      ColumnConstants.COLUMN_chrEmailID +
      " Text," +
      ColumnConstants.COLUMN_chrPinCode +
      " Text," +
      ColumnConstants.COLUMN_chrEmailID_Final +
      " Text," +
      ColumnConstants.COLUMN_chrPinCode_Final +
      " Text," +
      ColumnConstants.COLUMN_varDegreeName +
      " Text," +
      ColumnConstants.COLUMN_chrDegreeProvideByDr +
      " Text," +
      ColumnConstants.COLUMN_varDegreeName_Final +
      " Text," +
      ColumnConstants.COLUMN_chrDegreeProvideByDr_Final +
      " Text," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text )";
  var TABLE_CREATE_Dr_Request_Parameter_Config = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Request_Parameter_Config +
      " ( " +
      ColumnConstants.COLUMN_varModuleName +
      " Text ," +
      ColumnConstants.COLUMN_varCode +
      " Text ," +
      ColumnConstants.COLUMN_chrCompulsory +
      " Text ," +
      ColumnConstants.COLUMN_chrDisableOnDrAddition +
      " Text )";
  var TABLE_CREATE_Holiday_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Holiday_Mst +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_dtHolidayDate +
      " Text ," +
      ColumnConstants.COLUMN_varHolidayName +
      " Text  )";
  var TABLE_CREATE_Various_Type_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Various_Type_Mst +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_varModuleName +
      " Text ," +
      ColumnConstants.COLUMN_varTypeName +
      " Text )";
  var TABLE_CREATE_ReportingDatesWithCriteria = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_ReportingDatesWithCriteria +
      " ( " +
      ColumnConstants.COLUMN_dtVisitDate +
      " Text ," +
      ColumnConstants.COLUMN_chrLock +
      " Text ," +
      ColumnConstants.COLUMN_varMessage +
      " Text )";
  var TABLE_CREATE_TourPlan_Doctor = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_Doctor +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_ref_SMSReasonGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_dtPlannedDate +
      " Text ," +
      ColumnConstants.COLUMN_dtPlannedMonth +
      " Text ," +
      ColumnConstants.COLUMN_varPlanRemarks +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_varPlanRemarks_Sr +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_BE +
      "" +
      " INTEGER ," +
      "" +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text)";
  // added chrForceVisit & chrStandLocation : 21/11/17
  var TABLE_CREATE_SMS_System = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_SMS_System +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_SMSReasonGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_DrGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_dtMsgDate +
      " Text ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " " +
      "Char ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_varVisitRegisterPlace +
      " Text ," +
      ColumnConstants.COLUMN_chrRegisterPlaceUpdate +
      " Text ," +
      ColumnConstants.COLUMN_varLoctionLatitude +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_varLoctionLongitude +
      " Text ," +
      ColumnConstants.COLUMN_chrLocationType +
      " Char," +
      ColumnConstants.COLUMN_chrForceVisit +
      " Text," +
      ColumnConstants.COLUMN_chrStandLocation +
      " Text," +
      ColumnConstants.COLUMN_ref_CampaignGlCode +
      " INTEGER, " +
      ColumnConstants.COLUMN_varTime +
      " Text)";
  var TABLE_CREATE_Dr_GiftSample = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_GiftSample +
      " " +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_DrGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_ProductGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_GiftGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_intQty +
      " INTEGER ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtGivenDate +
      " Text ," +
      ColumnConstants.COLUMN_chrType +
      " Char ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char)";
  var TABLE_CREATE_chemist_GiftSample = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_chemist_GiftSample +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_ProductGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_fk_ChannelGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_GiftGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_intQty +
      " INTEGER ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtGivenDate +
      " Text ," +
      ColumnConstants.COLUMN_chrType +
      " Char ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char)";
  var TABLE_CREATE_Stockist_GiftSample = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockist_GiftSample +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_ProductGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_fk_ChannelGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_ref_GiftGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_intQty +
      " INTEGER ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtGivenDate +
      " Text ," +
      ColumnConstants.COLUMN_chrType +
      " Char ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char)";
  var TABLE_CREATE_Tour_Plan_Group = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Tour_Plan_Group +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varGroupName +
      " " +
      "Text ," +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " " +
      "INTEGER ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " " +
      "Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char)";
  var TABLE_CREATE_Module_Error_Log = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Module_Log_Error +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_varModuleName +
      " Text," +
      ColumnConstants.COLUMN_varLocation +
      " Text," +
      ColumnConstants.COLUMN_varPageName +
      " Text," +
      ColumnConstants.COLUMN_varEventName +
      " Text," +
      ColumnConstants.COLUMN_varErrorMessage +
      " Text," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_varPurposeCode +
      " Text)";
  var TABLE_CREATE_SMS_Extra_Dr_Visit = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_SMS_Extra_Dr_Visit +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_varDrName +
      " Text," +
      ColumnConstants.COLUMN_varRemarks +
      " Text," +
      ColumnConstants.COLUMN_dtMsgDate +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_varCustomerType +
      " Text," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text," +
      ColumnConstants.COLUMN_varLocationLatitude +
      " Text," +
      ColumnConstants.COLUMN_varLocationLongitude +
      " Text," +
      ColumnConstants.COLUMN_chrLocationType +
      " Text," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Text)";
  /*private static final String TABLE_CREATE_MSLReport = "CREATE TABLE IF NOT EXISTS " + TableConstants.TABLE_MSLReport + "" +
            " (" +
            ColumnConstants.COLUMN_intGlCode + " Integer Primary Key AUTOINCREMENT," + ColumnConstants
            .COLUMN_fk_DrGlCode +
            " Integer ," + ColumnConstants.COLUMN_dtDate + " Text ," + ColumnConstants.COLUMN_fk_DesiGlCode + " " +
            "Integer ," +
            ColumnConstants.COLUMN_varDates + " Text, " + ColumnConstants.COLUMN_intTotalVisit + " Integer )";*/
  var TABLE_CREATE_Product_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Product_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varProductCode +
      " Text ," +
      ColumnConstants.COLUMN_fk_PGGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varProductShortCode +
      " Text ," +
      ColumnConstants.COLUMN_varProductName +
      " Text ," +
      ColumnConstants.COLUMN_decPTS +
      " Decimal ," +
      ColumnConstants.COLUMN_varProductGroup +
      " Text ," +
      ColumnConstants.COLUMN_fk_ProLineGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text)";
  // Chemist and Stockist
  var TABLE_CREATE_Gift_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Gift_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varGiftName +
      " " +
      "Text    ," +
      ColumnConstants.COLUMN_varSMSCode +
      " Text ," +
      ColumnConstants.COLUMN_decGiftPrice +
      " Decimal ," +
      ColumnConstants.COLUMN_chrActive +
      " Char ," +
      ColumnConstants.COLUMN_chrActiveForDR +
      " Char ," +
      ColumnConstants.COLUMN_chrActiveForST +
      " Char ," +
      ColumnConstants.COLUMN_chrActiveForCH +
      " Char ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text)";
  var TABLE_CREATE_SMS_ReasonCode = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_SMS_ReasonCode +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varSMSReasonCode +
      "" +
      " Text ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_chrStatus +
      " Char " +
      "," +
      ColumnConstants.COLUMN_chrNWType +
      " Char ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text)";
  var TABLE_CREATE_CallAverageReport = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_CallAverageReport +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DesiGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtDate +
      " Text, " +
      ColumnConstants.COLUMN_varMonth +
      " Text," +
      ColumnConstants.COLUMN_decCallAverage +
      " Text, " +
      ColumnConstants.COLUMN_intTotalVisit +
      " Integer, " +
      ColumnConstants.COLUMN_intWorkingRepDays +
      " Integer, " +
      ColumnConstants.COLUMN_intNWDays +
      " Integer )";
  /**
   * update on 090415 may b app version 1.1.6
   */
  var TABLE_CREATE_Stockist_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockist_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_varStockistCode +
      " Text," +
      " " +
      ColumnConstants.COLUMN_varStockistName +
      " Text, " +
      ColumnConstants.COLUMN_varPlace +
      " Text, " +
      ColumnConstants.COLUMN_varState +
      " Text, " +
      ColumnConstants.COLUMN_chrMappedWithEmp +
      " Text, " +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_StateGlCode +
      " " +
      "Integer, " +
      ColumnConstants.COLUMN_fk_GmGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_chrFollowUpSalesUpdation +
      " Text )";
  var TABLE_CREATE_Stockist_Visits = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockist_Visits +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_StockistGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtMsgDate +
      " Text " +
      "," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varVisitRegisterPlace +
      " Text ," +
      ColumnConstants.COLUMN_chrRegisterPlaceUpdate +
      " Text ," +
      ColumnConstants.COLUMN_varLoctionLatitude +
      " Text" +
      " ," +
      ColumnConstants.COLUMN_varLoctionLongitude +
      " Text ," +
      ColumnConstants.COLUMN_chrLocationType +
      " Char, " +
      ColumnConstants.COLUMN_varTime +
      " Text)";
  var TABLE_CREATE_Chemist_Category = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_Category +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varCatCode +
      " Text ," +
      ColumnConstants.COLUMN_varCatName +
      " Text )";
  var TABLE_CREATE_Chemist_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_Mst +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_varChemistCode +
      " Text ," +
      ColumnConstants.COLUMN_varChemistName +
      " Text ," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ChemistCatGlCode +
      " Integer  ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_ChemistTypeGlCode +
      " Integer," +
      ColumnConstants.COLUMN_varAddress +
      " Text, " +
      ColumnConstants.COLUMN_varAddress2 +
      " Text," +
      ColumnConstants.COLUMN_varAddress3 +
      " Text," +
      ColumnConstants.COLUMN_varPinCode +
      " Text)";
  var TABLE_CREATE_Chemist_Visits = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_Visits +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_ChemistGlCode +
      "" +
      " Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtMsgDate +
      " Text ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char ," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varVisitRegisterPlace +
      " Text ," +
      ColumnConstants.COLUMN_chrRegisterPlaceUpdate +
      " Text ," +
      ColumnConstants.COLUMN_varLoctionLatitude +
      " Text" +
      " ," +
      ColumnConstants.COLUMN_varLoctionLongitude +
      " Text ," +
      ColumnConstants.COLUMN_chrLocationType +
      " Char, " +
      ColumnConstants.COLUMN_varTime +
      " Text)";
  var TABLE_CREATE_Chemist_POB = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_POB +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_ChemistGlCode +
      " " +
      "Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtOrderDate +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_dtExpDelDate +
      " Text ," +
      ColumnConstants.COLUMN_varOrderNo +
      " Text ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char," +
      ColumnConstants.COLUMN_fk_StockistGlCode +
      " Integer )";
  var TABLE_CREATE_Chemist_POB_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_POB_Details +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_ChemistPOBGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " Integer " +
      "," +
      ColumnConstants.COLUMN_decQty +
      " Text ," +
      ColumnConstants.COLUMN_decFreeQty +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  var TABLE_CREATE_Stockist_POB = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockiest_POB +
      " " +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_ChannelGlCode +
      " " +
      "Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtOrderDate +
      " Text ," +
      "" +
      ColumnConstants.COLUMN_dtExpDelDate +
      " Text ," +
      ColumnConstants.COLUMN_varOrderNo +
      " Text ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";

  /*private static final String TABLE_CREATE_Last_Doctor_Visit = "CREATE TABLE IF NOT EXISTS " + TableConstants
            .TABLE_Last_Dr_Visit
            + " (" + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key AUTOINCREMENT," + ColumnConstants
            .COLUMN_fk_DrGlCode + " Integer ," + ColumnConstants.COLUMN_dtDate + " Text ," + ColumnConstants
            .COLUMN_fk_DesiGlCode + " Integer ," + ColumnConstants.COLUMN_fk_EmpGlCode + " Integer )";*/

  /* private static final String TABLE_CREATE_Last_Dr_GiftSample = "CREATE TABLE IF NOT EXISTS " + TableConstants
            .TABLE_Last_Dr_GiftSample + " (" + ColumnConstants.COLUMN_intGlCode + " Integer ," + ColumnConstants
            .COLUMN_fk_DrGlCode + " INTEGER ," + ColumnConstants.COLUMN_ref_ProductGlCode + " INTEGER ," +
            ColumnConstants
                    .COLUMN_ref_GiftGlCode + " INTEGER ," + ColumnConstants.COLUMN_dtGivenDate + " Text ," +
            ColumnConstants
                    .COLUMN_intQty + " INTEGER ," + ColumnConstants.COLUMN_chrType + " Char )";*/

  /* private static final String TABLE_CREATE_Last_Dr_VisitRemarks = "CREATE TABLE IF NOT EXISTS " + TableConstants
             .TABLE_Last_Dr_VisitRemarks + " (" + ColumnConstants.COLUMN_intGlCode + " Integer ," + ColumnConstants
             .COLUMN_fk_DrGlCode + " INTEGER ," + ColumnConstants.COLUMN_dtDate + " Text ," + ColumnConstants
             .COLUMN_varRemarks + " Text )";*/
  var TABLE_CREATE_Customer_Collection_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Customer_Collection_Details +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ChannelGlCode_Stk +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ChemistGlCode +
      " Integer" +
      " ," +
      ColumnConstants.COLUMN_dtVisitDate +
      " Text ," +
      ColumnConstants.COLUMN_decPOBValue +
      " Decimal" +
      " ," +
      ColumnConstants.COLUMN_decCollectionValue +
      " Decimal ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text" +
      " ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  /* private static final String TABLE_CREATE_Dr_Product = "CREATE TABLE IF NOT EXISTS " + TableConstants.TABLE_Dr_Product +
             " (" +
             ColumnConstants.COLUMN_intGlCode + " Integer Primary Key AUTOINCREMENT," + ColumnConstants
             .COLUMN_fk_DrGlCode +
             " Integer ," + ColumnConstants.COLUMN_fk_ProductGlCode + " Integer )";*/
  var TABLE_CREATE_Stockist_POB_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockiest_POB_Details +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_StockiestPOBGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " " +
      "Integer ," +
      ColumnConstants.COLUMN_decQty +
      " Text ," +
      ColumnConstants.COLUMN_decFreeQty +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  /*private static final String TABLE_CREATE_Dr_Support = "CREATE TABLE IF NOT EXISTS " + TableConstants.TABLE_Dr_Support +
            " (" +
            ColumnConstants.COLUMN_intGlCode + " Integer ," + ColumnConstants.COLUMN_fk_DrGlCode + " INTEGER ," +
            ColumnConstants.COLUMN_varMonth + " Text ," + ColumnConstants.COLUMN_decSupport + " Decimal ," +
            ColumnConstants
                    .COLUMN_chrSyncFlag + " )";*/
  var TABLE_CREATE_Doctor_Visit = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Doctor_Visit +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtDate +
      " Text ," +
      ColumnConstants.COLUMN_fk_DesiGlCode +
      " " +
      "Integer ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer )";
  // Tour Plan Tables
  var TABLE_CREATE_TourPlan_Set = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_Set +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer," +
      ColumnConstants.COLUMN_varSetCode +
      " Text," +
      ColumnConstants.COLUMN_varSetName +
      " Text," +
      ColumnConstants.COLUMN_intSetNo +
      " Integer," +
      ColumnConstants.COLUMN_chrActive +
      " Char )";
  var TABLE_CREATE_TourPlan_Type = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_Type +
      " " +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer," +
      ColumnConstants.COLUMN_varCode +
      " Text," +
      ColumnConstants.COLUMN_varType +
      " Text," +
      ColumnConstants.COLUMN_chrActive +
      " Char )";
  var TABLE_CREATE_TourPlan_SubmitSet = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_SubmitSet +
      " (" +
      ColumnConstants.COLUMN_intGLCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_TPSetGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedMonth +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Planned +
      " Integer," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " " +
      "Integer," +
      ColumnConstants.COLUMN_dtSubmitDate +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Sub +
      " Integer," +
      ColumnConstants.COLUMN_dtApprovedDate +
      " Text," +
      ColumnConstants.COLUMN_chrApproved +
      " Char," +
      ColumnConstants.COLUMN_varRejectReason +
      " Text," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  var TABLE_CREATE_TourPlan_SubmitEmpConfig = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_SubmitEmpConfig +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrCanSubmit +
      " Char," +
      ColumnConstants.COLUMN_chrToSubmit +
      " Char," +
      ColumnConstants.COLUMN_chrTPType +
      " Char )";
  var TABLE_CREATE_TourPlan_SetDetails = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_SetDetails +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_TPSetGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedMonth +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Planned +
      " Integer," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " " +
      "Integer," +
      ColumnConstants.COLUMN_ref_TPTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrTPType +
      " Char," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_AreaGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CustGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_NWTypeGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedDate +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks_Sr +
      " Text," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Char," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text," +
      ColumnConstants.COLUMN_chrDeleted +
      " Char," +
      ColumnConstants.COLUMN_fk_EmpGlCode_With +
      " Integer," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  //Claim
  var TABLE_CREATE_TourPlan_SetDetails_Android = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_SetDetails_Android +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_TPSetGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedMonth +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Planned +
      " Integer," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_ref_TPTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrTPType +
      " Char," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_AreaGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CustGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_NWTypeGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedDate +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks_Sr +
      " Text," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Char," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text," +
      ColumnConstants.COLUMN_chrDeleted +
      " Char," +
      ColumnConstants.COLUMN_fk_EmpGlCode_With +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedFullDate +
      " Text," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  var TABLE_CREATE_TourPlan_Final = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_Final +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_TPSetGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedMonth +
      " Text," +
      ColumnConstants.COLUMN_fk_EmpGlCode_Planned +
      " Integer," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_ref_TPTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrTPType +
      " Char," +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_AreaGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CustGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_CTGlCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_NWTypeGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtPlannedDate +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks +
      " Text," +
      ColumnConstants.COLUMN_varPlanRemarks_Sr +
      " Text," +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Char," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text," +
      ColumnConstants.COLUMN_chrReplan +
      " Char," +
      ColumnConstants.COLUMN_chrDeleted +
      " Char," +
      ColumnConstants.COLUMN_fk_EmpGlCode_With +
      " Integer," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char )";
  var TABLE_CREATE_TourPlan_SubmitEmpList = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_SubmitEmpList +
      " (" +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer Primary Key," +
      ColumnConstants.COLUMN_varEmpName +
      " Text)";
  // Secondary Sales
  var TABLE_CREATE_SecondaryDaysLimit = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_SecondaryDaysLimit +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_intSecondaryDay_From +
      " Integer, " +
      ColumnConstants.COLUMN_intSupportDay_From +
      " Integer," +
      " " +
      ColumnConstants.COLUMN_intSecondaryDay_To +
      " Integer, " +
      ColumnConstants.COLUMN_intSupportDay_To +
      "" +
      " Integer, " +
      "" +
      ColumnConstants.COLUMN_varApprovalType +
      " Text " +
      ")";
  var TABLE_CREATE_Upload_DisplayColumn_Config = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Upload_DisplayColumn_Config +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_varModuleName +
      " Text, " +
      ColumnConstants.COLUMN_varColumnName +
      " Text, " +
      ColumnConstants.COLUMN_varDescription +
      " Text, " +
      ColumnConstants.COLUMN_intOrder +
      " Integer, " +
      ColumnConstants.COLUMN_varTableColumnName +
      " Text, " +
      ColumnConstants.COLUMN_varAliasName +
      " Text " +
      ")";
  var TABLE_CREATE_State_Wise_PTS = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_State_Wise_PTS +
      " (" +
      ColumnConstants.COLUMN_intGLCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      "" +
      " Integer, " +
      ColumnConstants.COLUMN_decPTS +
      " Decimal, " +
      ColumnConstants.COLUMN_dtFromDate +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_dtToDate +
      " Text, " +
      ColumnConstants.COLUMN_fk_StateGlCode +
      " Integer " +
      ")";
  var TABLE_CREATE_Secondary_Data_Approval_Details =
      "CREATE TABLE IF NOT EXISTS " +
          TableConstants.TABLE_Secondary_Data_Approval_Details +
          " (" +
          ColumnConstants.COLUMN_intGlCode +
          " Integer Primary " +
          "Key " +
          "AUTOINCREMENT, " +
          ColumnConstants.COLUMN_fk_EmpGlCode_BE +
          " Integer, " +
          ColumnConstants.COLUMN_fk_EmpGlcode_ApprovalBy +
          " Integer, " +
          ColumnConstants.COLUMN_fk_DesiGlCode_ApprovalBy +
          " " +
          "Integer, " +
          ColumnConstants.COLUMN_dtDate +
          " Text, " +
          ColumnConstants.COLUMN_chrStatus +
          " Char, " +
          ColumnConstants.COLUMN_intDataCount +
          " Integer, " +
          ColumnConstants.COLUMN_dtEntryDate +
          " Text, " +
          ColumnConstants.COLUMN_chrSynch +
          " Char, " +
          ColumnConstants.COLUMN_intDesiOrder +
          " Integer)";
  //Support Query table start
  /* private static final String TABLE_CREATE_Dr_Support_Entry = "CREATE TABLE IF NOT EXISTS " + TableConstants
            .TABLE_Dr_Support_Entry + " (" + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key " +
            "AUTOINCREMENT," +
            ColumnConstants.COLUMN_fk_DrGlCode + " Integer ," + ColumnConstants.COLUMN_dtSupportMonth + " Text ," +
            ColumnConstants.COLUMN_decSupportValue + " Decimal ," + ColumnConstants.COLUMN_dtEntryDate + " Text ," +
            ColumnConstants.COLUMN_chrDeleted + " Char ," + ColumnConstants.COLUMN_chrSyncFlag + " Char " + ")";*/
  /*private static final String TABLE_CREATE_Dr_Product_Support = "CREATE TABLE IF NOT EXISTS " + TableConstants
            .TABLE_Dr_Product_Support + " (" + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key " +
            "AUTOINCREMENT," +
            ColumnConstants.COLUMN_fk_DrGlCode + " Integer ," + ColumnConstants.COLUMN_fk_ProductGlCode + " " +
            "Integer ," +
            ColumnConstants.COLUMN_dtSupportMonth + " Text ," + ColumnConstants.COLUMN_decSupportValue + " Decimal" +
            " ," +
            ColumnConstants.COLUMN_decSupportQty + " Decimal ," + ColumnConstants.COLUMN_dtEntryDate + " Text ," +
            ColumnConstants.COLUMN_chrDeleted + " Char ," + ColumnConstants.COLUMN_chrSyncFlag + " Char " + ")";*/
  var TABLE_CREATE_Secondary_Data = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Secondary_Data +
      " (" +
      ColumnConstants.COLUMN_intGLCode +
      " Integer Primary Key AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_ChannelGlCode_Stk +
      " Integer, " +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_decQuantity +
      " Decimal, " +
      ColumnConstants.COLUMN_decAmt +
      " Decimal, " +
      ColumnConstants.COLUMN_dtDate +
      " Text, " +
      ColumnConstants.COLUMN_decOpening +
      " Decimal, " +
      ColumnConstants.COLUMN_decClosing +
      " Decimal, " +
      ColumnConstants.COLUMN_dtLastupdatedDate +
      " Text, " +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_chrEntryType +
      " Char, " +
      ColumnConstants.COLUMN_decPTS +
      " Decimal, " +
      ColumnConstants.COLUMN_fk_GMGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_decActualStockRcvdQty +
      " Decimal, " +
      ColumnConstants.COLUMN_decSITQty +
      " Decimal, " +
      ColumnConstants.COLUMN_decFreeQty +
      " Decimal, " +
      ColumnConstants.COLUMN_decReturnQty +
      " Decimal, " +
      ColumnConstants.COLUMN_chrSynch +
      " Char " +
      ")";
  var TABLE_CREATE_Secondary_Data_PreApproved = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Secondary_Data_PreApproved +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_ChannelGlCode_Stk +
      " Integer, " +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_decQuantity +
      " Decimal, " +
      ColumnConstants.COLUMN_decAmt +
      " Decimal, " +
      ColumnConstants.COLUMN_dtDate +
      " Text, " +
      ColumnConstants.COLUMN_decOpening +
      " Decimal, " +
      ColumnConstants.COLUMN_decClosing +
      " Decimal, " +
      ColumnConstants.COLUMN_decPTS +
      " " +
      "Decimal, " +
      ColumnConstants.COLUMN_chrApproved +
      " Char, " +
      ColumnConstants.COLUMN_fk_EmpGlCode_BE +
      " Integer, " +
      ColumnConstants.COLUMN_fk_PersonGlCode_EnterBy +
      " Integer, " +
      ColumnConstants.COLUMN_dtEntryDate +
      "" +
      " Text, " +
      ColumnConstants.COLUMN_fk_PersonGlCode_UpdateBy +
      " Integer, " +
      ColumnConstants.COLUMN_dtLastupdatedDate +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_chrEntryType +
      " Char, " +
      ColumnConstants.COLUMN_decActualStockRcvdQty +
      " " +
      "Decimal, " +
      ColumnConstants.COLUMN_decSITQty +
      " Decimal, " +
      ColumnConstants.COLUMN_decFreeQty +
      " " +
      "Decimal, " +
      ColumnConstants.COLUMN_fk_GmGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_decReturnQty +
      " Decimal," +
      " " +
      ColumnConstants.COLUMN_chrSynch +
      " Char " +
      ")";
  // Visual Aid
  var TABLE_CREATE_Visual_Aids_Type_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visual_Aids_Type_Mst +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_varTypeCode +
      " Text, " +
      ColumnConstants.COLUMN_varTypeName +
      " Text, " +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text" +
      ")";
  var TABLE_CREATE_Visual_Aids_Type_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visual_Aids_Type_Details +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_fk_VATGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_varVATCode +
      " Text, " +
      ColumnConstants.COLUMN_varVATName +
      " Text, " +
      ColumnConstants.COLUMN_ref_MstGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text" +
      ")";
  var TABLE_CREATE_Visual_Aids_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visual_Aids_Mst +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_varAidName +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_varFileName +
      " Text, " +
      ColumnConstants.COLUMN_varWebLink +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_varDescription +
      " Text, " +
      ColumnConstants.COLUMN_chrAidType +
      " Char, " +
      ColumnConstants.COLUMN_chrPostAid +
      " Char, " +
      ColumnConstants.COLUMN_chrPreAid +
      " Char, " +
      ColumnConstants.COLUMN_intDisplayOrder +
      " Integer, " +
      ColumnConstants.COLUMN_chrFileDownloaded +
      " Char, " +
      ColumnConstants.COLUMN_varDownloadLink +
      " Text, " +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text" +
      ")";
  var TABLE_CREATE_Visual_Aids_MappingWithType = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visual_Aids_MappingWithType +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key, " +
      ColumnConstants.COLUMN_fk_VATDGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_VAMGlCode +
      " Integer," +
      " " +
      ColumnConstants.COLUMN_intDisplayOrder +
      " Integer, " +
      ColumnConstants.COLUMN_dtSynchedOn +
      " Text " +
      ")";
  var TABLE_CREATE_Visual_Aids_Dr_Feedback = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Visual_Aids_Dr_Feedback +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_ref_VAMGlCode_Start +
      " " +
      "Integer, " +
      ColumnConstants.COLUMN_dtStartDateTime +
      " Text, " +
      ColumnConstants.COLUMN_varFeedback +
      " Text, " +
      ColumnConstants.COLUMN_ref_VAMGlCode_End +
      " Integer, " +
      ColumnConstants.COLUMN_dtEndDateTime +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char" +
      ")";
  var TABLE_CREATE_Emp_Joint_Work_Detail = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Emp_Joint_Work_Detail +
      "(" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key " +
      "AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " " +
      "Integer, " +
      ColumnConstants.COLUMN_fk_DesiGlcode +
      " Integer, " +
      ColumnConstants.COLUMN_dtDate +
      " Text, " +
      ColumnConstants.COLUMN_fk_EmpGlCode_VisitWith +
      " Integer, " +
      ColumnConstants.COLUMN_dtEntryDate +
      " " +
      "Text, " +
      ColumnConstants.COLUMN_fk_PersonGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char," +
      " " +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char" +
      ")";
  var TABLE_CREATE_LOCKINGDAYSLIMIT = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_LOCKINGDAYSLIMIT +
      "( " +
      ColumnConstants.COLUMN_dtMonth +
      " date, " +
      ColumnConstants.COLUMN_chrLockType +
      " Char, " +
      ColumnConstants.COLUMN_varMessage +
      " Text, " +
      ColumnConstants.COLUMN_chrAllowToUpload +
      " Char, " +
      "" +
      ColumnConstants.COLUMN_varModuleName +
      " ) ";
  var TABLE_CREATE_VISUAL_AIDS_DR_FEEDBACK_DAYWISE =
      "CREATE TABLE IF NOT EXISTS " +
          TableConstants.TABLE_Visual_Aids_Dr_Feedback_DayWise +
          "( " +
          ColumnConstants.COLUMN_intGlCode +
          " Integer Primary " +
          "Key " +
          "AUTOINCREMENT, " +
          ColumnConstants.COLUMN_dtDate +
          " date, " +
          ColumnConstants.COLUMN_fk_DrGlCode +
          "" +
          " Integer, " +
          "" +
          ColumnConstants.COLUMN_fk_VAMGlCode +
          " Integer, " +
          ColumnConstants.COLUMN_fk_EmpGlCode +
          " " +
          "Integer, " +
          ColumnConstants.COLUMN_varFeedback +
          " Text, " +
          ColumnConstants.COLUMN_chrSyncFlag +
          " ) ";
  /*Hospital Visit Table List*/
  var TABLE_CREATE_Dr_Group_Type = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Type +
      "(" +
      " " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varGroupTypeCode +
      " Text, " +
      ColumnConstants.COLUMN_varGroupTypeName +
      " Text ) ";
  var TABLE_CREATE_Dr_Group_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_fk_DGTGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_varGroupCode +
      " Text, " +
      ColumnConstants.COLUMN_varGroupName +
      " Text, " +
      ColumnConstants.COLUMN_varCityName +
      " Text, " +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer ) ";
  var TABLE_CREATE_Dr_Group_Mapping = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Mapping +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT , " +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DGMGlCode +
      " Integer ) ";
  var TABLE_CREATE_Product_Group = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Product_Group +
      "(" +
      " " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varPGCode +
      " Text, " +
      ColumnConstants.COLUMN_varSAPCode +
      " Text, " +
      ColumnConstants.COLUMN_varPGName +
      " Text," +
      ColumnConstants.COLUMN_chrFocus +
      " Text) ";
  var TABLE_CREATE_Campaign_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Campaign_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varServiceCode +
      " Text, " +
      ColumnConstants.COLUMN_varSAPCode +
      " Text, " +
      ColumnConstants.COLUMN_varServiceName +
      " Text, " +
      ColumnConstants.COLUMN_varRemarks +
      " Text, " +
      ColumnConstants.COLUMN_varServicePoolCode +
      " Text, " +
      ColumnConstants.COLUMN_chrCampaignActive +
      " Text," +
      ColumnConstants.COLUMN_chrCampaignReporting +
      " Text," +
      ColumnConstants.COLUMN_chrCampaignUnmappedDr +
      " Text," +
      ColumnConstants.COLUMN_chrCampaignVisible +
      " Text, " +
      ColumnConstants.COLUMN_varMonth +
      " Text ) ";
  var TABLE_CREATE_Dr_Group_TPPlan = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_TPPlan +
      "( " +
      ColumnConstants.COLUMN_fk_DGMGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_dtPlanDate +
      " Text, " +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer ) ";
  var TABLE_CREATE_Dr_Group_Visit_Purpose_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Visit_Purpose_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varPurposeCode +
      " Text, " +
      ColumnConstants.COLUMN_varPurpose +
      " Text, " +
      ColumnConstants.COLUMN_varDescription +
      " Text ) ";
  var TABLE_CREATE_Stage_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stage_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varStageCode +
      " Text, " +
      ColumnConstants.COLUMN_varStageName +
      " Text, " +
      ColumnConstants.COLUMN_varShortName +
      " Text, " +
      ColumnConstants.COLUMN_varDescription +
      " Text, " +
      ColumnConstants.COLUMN_intStageOrder +
      " Integer , " +
      ColumnConstants.COLUMN_fk_ProLineGlCode +
      " Integer ) ";
  var TABLE_CREATE_Input_Required_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Input_Required_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varInputCode +
      " Text, " +
      ColumnConstants.COLUMN_varInputName +
      " Text, " +
      ColumnConstants.COLUMN_varInputShortName +
      " Text, " +
      ColumnConstants.COLUMN_varDescription +
      " Text, " +
      ColumnConstants.COLUMN_intStageOrder +
      " Integer ) ";
  var TABLE_CREATE_TourPlan_MTP_SetDetails = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_TourPlan_MTP_SetDetails +
      "( " +
      ColumnConstants.COLUMN_fk_EmpGlCode_Planned +
      " Integer , " +
      ColumnConstants.COLUMN_fk_CityGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_intPlannedDays +
      " Text, " +
      ColumnConstants.COLUMN_intApprovedDays +
      " " +
      "Integer ) ";
  var TABLE_CREATE_Dr_Cat_Restriction_DayTypeWise =
      "CREATE TABLE IF NOT EXISTS " +
          TableConstants.TABLE_Dr_Cat_Restriction_DayTypeWise +
          "( " +
          ColumnConstants.COLUMN_fk_CatGlCode +
          " Integer , " +
          ColumnConstants.COLUMN_varDayType +
          " Text, " +
          ColumnConstants.COLUMN_intDays +
          " Integer ) ";
  var TABLE_CREATE_Dr_Cat_Restriction = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Cat_Restriction +
      "( " +
      ColumnConstants.COLUMN_fk_CatGlCode +
      " Integer , " +
      ColumnConstants.COLUMN_varDayType +
      " Text, " +
      ColumnConstants.COLUMN_varCatGroup +
      " Text, " +
      ColumnConstants.COLUMN_intMaxDrs +
      " Integer, " +
      ColumnConstants.COLUMN_intDays +
      " Integer ) ";
  var TABLE_CREATE_Product_Line_Mst = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Product_Line_Mst +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT, " +
      ColumnConstants.COLUMN_varProLineCode +
      " Text, " +
      ColumnConstants.COLUMN_varProLineName +
      " Text, " +
      ColumnConstants.COLUMN_intProLineOrder +
      " Integer ) ";
  /*private static final String TABLE_Weekly_ProductGroup_Secondary =
            "CREATE TABLE IF NOT EXISTS " + TableConstants.TABLE_Weekly_ProductGroup_Secondary +
                    " (" + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key ,"
                    + ColumnConstants.COLUMN_fk_DivisionGlCode + " Integer ,"
                    + ColumnConstants.COLUMN_fk_GMGlCode + " INTEGER ,"
                    + ColumnConstants.COLUMN_fk_PGGlCode + " INTEGER ,"
                    + ColumnConstants.COLUMN_dtDate + " DATETIME ,"
                    + ColumnConstants.COLUMN_dtWeekStartDate + " DATETIME,"
                    + ColumnConstants.COLUMN_dtWeekEndDate + " DATETIME,"
                    + ColumnConstants.COLUMN_intWeekNo + " INTEGER,"
                    + ColumnConstants.COLUMN_decQuantity + " DECIMAL,"
                    + ColumnConstants.COLUMN_decAmount + " DECIMAL,"
                    + ColumnConstants.COLUMN_varDataType + " TEXT,"
                    + ColumnConstants.COLUMN_chrSyncFlag + " CHAR,"
                    + ColumnConstants.COLUMN_chrDeleteFlag + " CHAR,"
                    + ColumnConstants.COLUMN_fk_PersonGlCode + " INTEGER,"
                    + ColumnConstants.COLUMN_fk_PersonGlCode_UpdateBy + " INTEGER,"
                    + ColumnConstants.COLUMN_dtEntryDate + " DATETIME,"
                    + ColumnConstants.COLUMN_dtLastUpdatedDate + " DATETIME)";*/
  var TABLE_CREATE_Dr_Group_Visit_Brand_Camp_Details =
      "CREATE TABLE IF NOT EXISTS " +
          TableConstants.TABLE_Dr_Group_Visit_Brand_Camp_Details +
          "( " +
          ColumnConstants.COLUMN_intGlCode +
          " Integer Primary Key AUTOINCREMENT, " +
          ColumnConstants.COLUMN_fk_EmpGlCode +
          " Integer, " +
          ColumnConstants.COLUMN_fk_DrGlCode +
          " Integer, " +
          ColumnConstants.COLUMN_fk_DGMGlCode +
          " Integer, " +
          ColumnConstants.COLUMN_fk_PGGlCode +
          " Integer, " +
          ColumnConstants.COLUMN_fk_ServiceGlCode_Camp +
          " Integer, " +
          ColumnConstants.COLUMN_varCompetitor +
          " text, " +
          ColumnConstants.COLUMN_chrDataType +
          " Char, " +
          ColumnConstants.COLUMN_varFeedback +
          " text, " +
          ColumnConstants.COLUMN_dtVisitDate +
          " text, " +
          ColumnConstants.COLUMN_chrDetailed +
          " Char, " +
          ColumnConstants.COLUMN_intCompetitorOrder +
          " Integer, " +
          ColumnConstants.COLUMN_fk_DGHVGlCode +
          " Integer, " +
          //ColumnConstants.COLUMN_fk_PersonGlCode_EnteredBy + " Integer, " +
          ColumnConstants.COLUMN_dtEntryDate +
          " text, " +
          /*ColumnConstants.COLUMN_fk_PersonGlCode_UpdatedBy + " Integer, " +*/
          ColumnConstants.COLUMN_dtLastupdatedDate +
          " text, " +
          ColumnConstants.COLUMN_chrSyncFlag +
          " Char, " +
          ColumnConstants.COLUMN_chrDeleteFlag +
          " Char, " +
          ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
          " Integer ) ";
  var TABLE_CREATE_Dr_Group_Change_Prescriber = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Change_Prescriber +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DGMGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_ProLineGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_chrPrescriber +
      " text, " +
      ColumnConstants.COLUMN_dtTargetDate +
      " text, " +
      ColumnConstants.COLUMN_dtEntryDate +
      " text, " +
      ColumnConstants.COLUMN_dtLastUpdatedDate +
      " text, " +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " text, " +
      ColumnConstants.COLUMN_chrSyncFlag +
      " text, " +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " Integer, " +
      ColumnConstants.COLUMN_dtPrescriberDate +
      " text ) ";
  var TABLE_CREATE_Doctor_POB = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Doctor_POB +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_varOrderNo +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DesiGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_GMGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DivisionGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_fk_StockistGlCode +
      " INTEGER ," +
      ColumnConstants.COLUMN_dtOrderDate +
      " Text ," +
      ColumnConstants.COLUMN_dtExpDeliveryDate +
      " Text ," +
      ColumnConstants.COLUMN_varRemarks +
      " Text ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Text ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " INTEGER)";
  var TABLE_CREATE_Doctor_POB_Details = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Doctor_POB_Details +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT," +
      ColumnConstants.COLUMN_fk_DrPOBGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_decOrderQty +
      " Integer ," +
      ColumnConstants.COLUMN_decFreeQty +
      " Integer ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Text ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text ," +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " INTEGER)";
  var TABLE_CREATE_Customisation_Master = " CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Customisation_Master +
      " ( " +
      ColumnConstants.COLUMN_id +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_name +
      " Text ," +
      ColumnConstants.COLUMN_charDelete +
      " Text ," +
      ColumnConstants.COLUMN_charSync +
      " Text )";
  var TABLE_CREATE_Customisation_Image = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Customisation_Image +
      " ( " +
      ColumnConstants.COLUMN_id +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_refId +
      " Integer ," +
      ColumnConstants.COLUMN_imagePath +
      " Text ," +
      ColumnConstants.COLUMN_charDelete +
      " Text ," +
      ColumnConstants.COLUMN_charSync +
      " Text ," +
      ColumnConstants.COLUMN_position +
      " Integer )";
  var CREATE_TABLE_GPSLocation_Log = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_GPSLocation_Log +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer," +
      ColumnConstants.COLUMN_varLatitude +
      " TEXT," +
      ColumnConstants.COLUMN_varLongitude +
      " TEXT," +
      ColumnConstants.COLUMN_varLocationProvider +
      " TEXT," +
      ColumnConstants.COLUMN_varDatetime +
      " TEXT," +
      ColumnConstants.COLUMN_isFrom +
      " TEXT )";

  /*private static final String CREATE_TABLE_GlucoMeter_Visit_IportDetails = "CREATE TABLE IF NOT EXISTS "
            + TableConstants.TABLE_GlucoMeter_Visit_IportDetails + " ("
            + ColumnConstants.COLUMN_intGlCode + " Integer Primary Key ,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_Planned + " Integer,"
            + ColumnConstants.COLUMN_fk_DivisionGlCode + " Integer,"
            + ColumnConstants.COLUMN_fk_DrGlCode + " Integer,"
            + ColumnConstants.COLUMN_dtVisitDate + " TEXT,"
            + ColumnConstants.COLUMN_varPatientName + " TEXT,"
            + ColumnConstants.COLUMN_varContactNo + " TEXT,"
            + ColumnConstants.COLUMN_varIPortUsed + " TEXT,"
            + ColumnConstants.COLUMN_varDeployStatus + " TEXT,"
            + ColumnConstants.COLUMN_dtEntryDate + " TEXT,"
            + ColumnConstants.COLUMN_dtLastUpdateDate + " TEXT,"
            + ColumnConstants.COLUMN_chrSyncFlag + " TEXT,"
            + ColumnConstants.COLUMN_chrDeleteFlag + " TEXT,"
            + ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy + " Integer )";*/
  var CREATE_TABLE_Chemist_Product_Stock = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Chemist_Product_Stock +
      " (" +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_ref_DivisionGLCode +
      " Integer," +
      ColumnConstants.COLUMN_fk_ChemistGlCode +
      " Integer," +
      ColumnConstants.COLUMN_dtMsgDate +
      " TEXT," +
      ColumnConstants.COLUMN_ref_ProductGLCode +
      " Integer," +
      ColumnConstants.COLUMN_intQty +
      " Integer," +
      ColumnConstants.COLUMN_dtEntryDate +
      " TEXT," +
      ColumnConstants.COLUMN_dtLastUpdatedDate +
      " TEXT," +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " TEXT," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " TEXT," +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " TEXT )";
  var TABLE_CREATE_Dr_Group_Hosp_Visit = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Dr_Group_Hosp_Visit +
      "( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT, " +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DrGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_DGMGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_dtFollowupDate +
      " text, " +
      ColumnConstants.COLUMN_dtVisitDate +
      " text, " +
      ColumnConstants.COLUMN_varGeneralFeedback +
      " " +
      "text, " +
      ColumnConstants.COLUMN_varParamedicalName +
      " text, " +
      ColumnConstants.COLUMN_varParaQualification +
      " text, " +
      ColumnConstants.COLUMN_fk_InputRequiredGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_StageGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_PurposeGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_fk_ProLineGlCode +
      " Integer, " +
      ColumnConstants.COLUMN_dtTargetDate +
      " text, " +
      ColumnConstants.COLUMN_chrPrescriber +
      " text, " +
      //ColumnConstants.COLUMN_fk_PersonGlCode_EnteredBy + " Integer, " +
      ColumnConstants.COLUMN_dtEntryDate +
      " TEXT, " +
      //ColumnConstants.COLUMN_fk_PersonGlCode_UpdatedBy + " Integer, " +
      ColumnConstants.COLUMN_dtLastupdatedDate +
      " TEXT, " +
      ColumnConstants.COLUMN_varLocationLatitude +
      " TEXT, " +
      ColumnConstants.COLUMN_chrLocationType +
      " Char, " +
      ColumnConstants.COLUMN_varLocationLongitude +
      " TEXT, " +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Char, " +
      ColumnConstants.COLUMN_chrDeleteFlag +
      " Char, " +
      ColumnConstants.COLUMN_fk_EmpGlCode_SyncBy +
      " Integer ) ";
  var CREATE_TABLE_Emp_LocationTrack = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Emp_LocationTrack +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtDate +
      " Text ," +
      ColumnConstants.COLUMN_varLatitude +
      " Text ," +
      ColumnConstants.COLUMN_varLongitude +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text )";
  var CREATE_TABLE_Mobile_Process_Log = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Mobile_Process_Log +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varProcessName +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text )";
  var CREATE_TABLE_DayPunch_Location = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_DayPunch_Location +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_dtDate +
      " Text ," +
      ColumnConstants.COLUMN_dtStartDate +
      " Text ," +
      ColumnConstants.COLUMN_varLatitude_Start +
      " Text ," +
      ColumnConstants.COLUMN_varLongitude_Start +
      " Text ," +
      ColumnConstants.COLUMN_dtEndDate +
      " Text ," +
      ColumnConstants.COLUMN_varLatitude_End +
      " Text ," +
      ColumnConstants.COLUMN_varLongitude_End +
      " Text ," +
      ColumnConstants.COLUMN_chrEntryFrom +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_dtLastUpdateDate +
      " Text ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text )";
  var CREATE_TABLE_Mobile_Menu_AccessLog = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Mobile_Menu_AccessLog +
      " ( " +
      ColumnConstants.COLUMN_intGlCode +
      " Integer Primary Key AUTOINCREMENT ," +
      ColumnConstants.COLUMN_fk_EmpGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_varModuleCode +
      " Text ," +
      ColumnConstants.COLUMN_varAppType +
      " Text ," +
      ColumnConstants.COLUMN_dtEntryDate +
      " Text ," +
      ColumnConstants.COLUMN_chrSyncFlag +
      " Text )";
  //Sagar on 19-9-2018
  var TABLE_CREATE_Stockiest_Wise_PTS = "CREATE TABLE IF NOT EXISTS " +
      TableConstants.TABLE_Stockiest_Wise_PTS +
      " (" +
      ColumnConstants.COLUMN_intGLCode +
      " Integer Primary Key ," +
      ColumnConstants.COLUMN_fk_ProductGlCode +
      " Integer ," +
      ColumnConstants.COLUMN_decPTS +
      " Decimal ," +
      ColumnConstants.COLUMN_dtMonth +
      " Text ," +
      ColumnConstants.COLUMN_fk_ChannelGlCode_Stk +
      " Integer )";

  var DROP = "DROP TABLE IF EXISTS ";
  var CREATE = "CREATE TABLE IF NOT EXISTS ";
}
