import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:ecp_sync_plugin/ecp_sync_plugin.dart';
import 'package:ecp_sync_plugin_example/login_two_page.dart';

void main() => runApp(MyApp());

/*class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}*/

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(home: new LoginTwoPage());
  }
}

/*class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  EcpSyncPlugin _battery = EcpSyncPlugin();
  BuildContext _context;
  String _batteryState;
  StreamSubscription<String> _batteryStateSubscription;

  @override
  void initState() {
    super.initState();
    _batteryStateSubscription =
        _battery.onBatteryStateChanged.listen((String state) {
      setState(() {
        _batteryState = state;
      });
    });
    //initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await EcpSyncPlugin().syncronizeData(
          UserName: "E00017",
          fk_EmpGlCode: "729",
          urlUpload:
              "https://service84.ecubix.com/ECPMobileWebService_Ver570/ecpMobileToWebSync.asmx",
          imei: "imei",
          appVersion: "5.7.0",
          uploadMethod: "SynchroniseDatabase",
          ClientName: "VCS_CQA",
          databaseName: "ecp_mobile_flutter.db",
          packageName: "com.vcs.ecp");
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    _context = context;
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('ECP Plugin Sync'),
        ),
        body: Center(
          child: Column(
            children: <Widget>[
              Text('Running on: $_platformVersion\n'),
              Text('Progress on: $_batteryState\n'),
              RaisedButton(
                padding: EdgeInsets.all(12.0),
                shape: StadiumBorder(),
                child: Text(
                  "SYNC",
                  style: TextStyle(color: Colors.white),
                ),
                color: Colors.blueGrey,
                onPressed: () {
                  //dismissProgressHUD();
                  pressDetails();
                },
              )
            ],
          ),
        ),
      ),
    );
  }

  pressDetails() {
    Navigator.push(
      _context,
      MaterialPageRoute(builder: (context) => LoginTwoPage()),
    );
  }

  @override
  void dispose() {
    super.dispose();
    if (_batteryStateSubscription != null) {
      _batteryStateSubscription.cancel();
    }
  }
}*/
